GET /{environment}/recommendations/lists

Description

Request previously computed recommendations. These are stored per list and can be queried using the list_key present in the original recommendation response. The cache containing these recommendations has a limited lifetime. Common use case for the list endpoints is a carousel where only part of the recommendations are shown initially. Then for the initial set of recommendations a regular request is made while for the next elements the lists endpoint is used.

💡 Note that this functionality requires an additional cache and is disabled by default. Contact support to activate it on your integration.

Parameters

Type Name Description Schema

Path

environment
required

The environment for which a request is made.

string

Query

limit
required

The number of items to fetch.

integer

Query

list_key
required

String identifier of the previously computed list to request recommended items from. This can be retrieved from the response body of the initial recommendations request.

string

Query

offset
required

The rank of the first item to be requested. Starts counting at 1. In case the initial carousel contained 7 recommendations, this value would be 8 for the subsequent request.

integer

Responses

HTTP Code Description Schema

200

OK

404

list_key not found, it either expired or never existed

No Content

Produces

  • application/json

Tags

  • recommendations

Example HTTP response

Response 200

{
  "device_id" : "the-cookie-id-123",
  "lists" : [ {
    "items" : [ {
      "information_field" : "some_metadata",
      "item_id" : "item_id_1",
      "rank" : 1
    }, {
      "information_field" : "some_metadata",
      "item_id" : "item_id_2",
      "rank" : 2
    } ],
    "limit" : 2,
    "list_key" : "a_unique_list_identifier",
    "list_name" : "Some list name",
    "list_size" : 10
  } ],
  "request_id" : "2141141",
  "user_group" : "froomle",
  "user_id" : "the-user-id-123-like-cookie"
}

Item

One content-item.

Name Description Schema

information_field
optional

The Froomle API can be configured to return additional information fields (if present in the item information). Please contact the Froomle support team to set this up.

string

item_id
required

The identifier of the recommended item

string

rank
required

The rank at which the item should be recommended. Starts counting at 1. If not specified, Froomle will decide the rank.

integer

ResponseList

A list of limit items is returned. Potentially the list consists of list_size items in total, of which the next can be queried by passing the list_key to the /lists endpoint.

Name Description Schema

items
optional

List of limit Items. limit is equal to the minimum of limit specified in the request and the number of recommendations found.

< Item > array

limit
optional

Number of Items returned

integer

list_key
optional

Bytestring identifier of the List.

string

list_name
optional

Bytestring name of the list. As specified in the request.

string

list_size
optional

Total number of Items in this List (of which only limit Items are returned)

integer

Recommendations

Name Description Schema

device_id
optional

Unique identifier for an unregistered user (e.g. cookie). Use the value "no-consent" for users that wish to remain anonymous.

string

lists
optional

List of lists of items

< ResponseList > array

request_id
optional

The request identifier as supplied by Froomle. This request_id needs to be supplied with each logged event.

string

user_group
optional

The group the user is assigned to. If users get the Froomle experience, this will always be "froomle".

string

user_id
optional

the user id of the logged-in user

string